Bug 988328 - RFE: some packages cannot be excluded using a kickstart file
RFE: some packages cannot be excluded using a kickstart file
Status: ASSIGNED
Product: Fedora Documentation
Classification: Fedora
Component: install-guide (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Bokoc
Fedora Docs QA
:
Depends On:
Blocks: 1136025
  Show dependency treegraph
 
Reported: 2013-07-25 06:23 EDT by Steve Tyler
Modified: 2014-09-01 09:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Tyler 2013-07-25 06:23:57 EDT
Description of problem:
The installer always installs some packages, so excluding them in a kickstart file has no effect.

Bug 988233 is from a user who wanted to remove "firewalld" from his install, yet it was installed anyway. The kickstart documentation does not explain why.

A workaround might be to use the post-installation section of the kickstart file to remove some packages.

Bug 988233 - Anaconda does not exclude certain packages specified in the kickstart configuration

Version-Release number of selected component (if applicable):

15.5. Package Selection
http://docs.fedoraproject.org/en-US/Fedora/19/html/Installation_Guide/s1-kickstart2-packageselection.html
Comment 1 Petr Bokoc 2013-07-25 08:46:51 EDT
Thanks for pointing this out Steve, I'll take a look at it.
Comment 2 Steve Tyler 2013-08-06 02:11:52 EDT
The related anaconda RFE:
Bug 993503 - RFE: log packages required by installer

Note You need to log in before you can comment on or make changes to this bug.